Bug 1023366 - [virsh cmd] Error message is not clear for commands blkiotune and schedinfo
[virsh cmd] Error message is not clear for commands blkiotune and schedinfo
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.0
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Martin Kletzander
Virtualization Bugs
: Upstream
: 1121583 (view as bug list)
Depends On:
Blocks: 1023389
  Show dependency treegraph
 
Reported: 2013-10-25 05:37 EDT by zhengqin
Modified: 2015-03-05 02:25 EST (History)
7 users (show)

See Also:
Fixed In Version: libvirt-1.2.7-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1023389 (view as bug list)
Environment:
Last Closed: 2015-03-05 02:25:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhengqin 2013-10-25 05:37:44 EDT
Description
For non-root user, when executing commands "virsh blkiotune <domainVM>" or "virsh schedinfo <domainVM>", error will occurs but error message is not clear.


Version:
virt-manager-0.10.0-4.el7.noarch
libvirt-1.1.1-9.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Issue the following command to create a user and set its password:
#useradd non-root ;  passwd non-root

2. Switch to user "non-root" by command "su - non-root", and create or import a VM named "DomainU1"

3. Execute commands "blkiotune" or "schedinfo" under "non-root" user, and error will occurs.


Actual results:
1. [non-root@localhost ~]$ virsh blkiotune DomainU1
error: Unable to get blkio parameters
error: Requested operation is not valid: blkio cgroup isn't mounted

2. [non-root@localhost ~]$ virsh schedinfo  DomainU1
Scheduler      : Unknown
error: Requested operation is not valid: cgroup CPU controller is not mounted


The above error message is not clear.



Expected results:
Error message should be clear and improved.


Additional info:
This issue occurs both on RHEL7 and RHEL6.5
Comment 1 Martin Kletzander 2014-02-26 12:22:39 EST
Command "memtune" will have the same problem.  These cannot be supported in session mode, so there should be proper error message printed out, working on that.
Comment 2 Martin Kletzander 2014-03-06 09:51:31 EST
Fixed upstream with commit v1.2.2-48-g45ad1ad:

commit 45ad1adb4a5ae5ce46287c570e87abab6ffe62d6
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Thu Feb 27 13:10:32 2014 +0100

    qemu: Reject unsupported tuning in session mode
Comment 3 Ján Tomko 2014-07-28 09:34:50 EDT
*** Bug 1121583 has been marked as a duplicate of this bug. ***
Comment 6 vivian zhang 2014-11-25 04:17:23 EST
I can produce this bug on 
 libvirt-1.1.1-9.el7.x86_64
 qemu-kvm-rhev-2.1.0-5.el7.x86_64

verify it on 
libvirt-1.2.8-8.el7.x86_64
qemu-kvm-rhev-2.1.2-12.el7.x86_64
kernel-3.10.0-208.el7.x86_64

verify steps:
1. create a non-root user test
#useradd test
#passwd test
#su - test

2. prepare a guest under non-root user and start it normaly
$ virsh list --all
 Id    Name                           State
----------------------------------------------------
 3     aaa                            running

3. run blkiotune ,schedinfo and memtunewith guest running, shutoff , paused. report error correct
$ virsh blkiotune aaa
error: Unable to get number of blkio parameters
error: unsupported configuration: Block I/O tuning is not available in session mode

$ virsh schedinfo aaa
Scheduler      : Unknown
error: Operation not supported: CPU tuning is not available in session mode

$ virsh memtune aaa
error: Unable to get number of memory parameters
error: Operation not supported: Memory tuning is not available in session mode

move to verified
Comment 8 errata-xmlrpc 2015-03-05 02:25:23 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0323.html

Note You need to log in before you can comment on or make changes to this bug.